| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::events::event Class Referenceabstract

An event object represents an event handled internally, passed from the websocket e.g. MESSAGE_CREATE. More...

`#include <event.h>`

Inheritance diagram for dpp::events::event:
[legend]

## Public Member Functions

virtual void | handle (class discord_client *client, nlohmann::json &j, const std::string &raw)=0
| Pure virtual method for event handler code.

## Detailed Description

An event object represents an event handled internally, passed from the websocket e.g. MESSAGE_CREATE.

## Member Function Documentation

## ◆ handle()

virtual void dpp::events::event::handle | ( | class discord_client * | client,
|  | nlohmann::json & | j,
|  | const std::string & | raw )

pure virtual

Pure virtual method for event handler code.

Parameters

  client | The creating shard
  j | The json data of the event
  raw | The raw event json

Implemented in dpp::events::automod_rule_create, dpp::events::automod_rule_delete, dpp::events::automod_rule_execute, dpp::events::automod_rule_update, dpp::events::channel_create, dpp::events::channel_delete, dpp::events::channel_pins_update, dpp::events::channel_update, dpp::events::entitlement_create, dpp::events::entitlement_delete, dpp::events::entitlement_update, dpp::events::guild_audit_log_entry_create, dpp::events::guild_ban_add, dpp::events::guild_ban_remove, dpp::events::guild_create, dpp::events::guild_delete, dpp::events::guild_emojis_update, dpp::events::guild_integrations_update, dpp::events::guild_join_request_delete, dpp::events::guild_member_add, dpp::events::guild_member_remove, dpp::events::guild_member_update, dpp::events::guild_members_chunk, dpp::events::guild_role_create, dpp::events::guild_role_delete, dpp::events::guild_role_update, dpp::events::guild_scheduled_event_create, dpp::events::guild_scheduled_event_delete, dpp::events::guild_scheduled_event_update, dpp::events::guild_scheduled_event_user_add, dpp::events::guild_scheduled_event_user_remove, dpp::events::guild_stickers_update, dpp::events::guild_update, dpp::events::integration_create, dpp::events::integration_delete, dpp::events::integration_update, dpp::events::interaction_create, dpp::events::invite_create, dpp::events::invite_delete, dpp::events::logger, dpp::events::message_create, dpp::events::message_delete, dpp::events::message_delete_bulk, dpp::events::message_poll_vote_add, dpp::events::message_poll_vote_remove, dpp::events::message_reaction_add, dpp::events::message_reaction_remove, dpp::events::message_reaction_remove_all, dpp::events::message_reaction_remove_emoji, dpp::events::message_update, dpp::events::presence_update, dpp::events::ready, dpp::events::resumed, dpp::events::stage_instance_create, dpp::events::stage_instance_delete, dpp::events::stage_instance_update, dpp::events::thread_create, dpp::events::thread_delete, dpp::events::thread_list_sync, dpp::events::thread_member_update, dpp::events::thread_members_update, dpp::events::thread_update, dpp::events::typing_start, dpp::events::user_update, dpp::events::voice_channel_effect_send, dpp::events::voice_server_update, dpp::events::voice_state_update, and dpp::events::webhooks_update.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0